Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema
Class SchemaSerializer

    java.lang.Object
      com.saxonica.schema.SchemaSerializer

    public class SchemaSerializer

extends Object

This class provides services enabling a compiled schema to be serialized to disk

Constructor Summary
`SchemaSerializer(SchemaAwareConfiguration config, DataOutputStream out)`

Method Summary
`void` | `emitBoolean(boolean value)`
`void` | `emitInt(int value)`
`void` | `emitLink(Object link)`
`void` | `emitListOfLinks(List list)`
`void` | `emitListOfStrings(List list)`
`void` | `emitNameCode(int nameCode)`
`void` | `emitString(String value)`
`void` | `emitValue(Value value)`
`void` | `serialize()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaSerializer

    public SchemaSerializer(SchemaAwareConfiguration config,
                            DataOutputStream out)

Method Detail

### serialize

    public void serialize()
                   throws IOException

  Throws:
    `IOException`

### emitNameCode

    public void emitNameCode(int nameCode)
                      throws IOException

  Throws:
    `IOException`

### emitBoolean

    public void emitBoolean(boolean value)
                     throws IOException

  Throws:
    `IOException`

### emitString

    public void emitString(String value)
                    throws IOException

  Throws:
    `IOException`

### emitListOfStrings

    public void emitListOfStrings(List list)
                           throws IOException

  Throws:
    `IOException`

### emitInt

    public void emitInt(int value)
                 throws IOException

  Throws:
    `IOException`

### emitValue

    public void emitValue(Value value)
                   throws IOException

  Throws:
    `IOException`

### emitLink

    public void emitLink(Object link)
                  throws IOException

  Throws:
    `IOException`

### emitListOfLinks

    public void emitListOfLinks(List list)
                         throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.